---
title: "Get digest preferences"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › notifications

`GET /v2/notifications/preferences/digest`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/notifications/preferences/digest
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/notifications/preferences/digest';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/notifications/preferences/digest"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "emailEnabled": true,
    "inAppEnabled": true,
    "emailDigestFrequency": "immediate",
    "timezone": "string",
    "digestSendTimeLocal": "string",
    "digestSendDay": 6,
    "deliveryChannels": [
      {
        "key": "email",
        "availability": "live",
        "enabled": true,
        "configurable": true
      },
      {
        "key": "email",
        "availability": "live",
        "enabled": true,
        "configurable": true
      },
      {
        "key": "email",
        "availability": "live",
        "enabled": true,
        "configurable": true
      },
      {
        "key": "email",
        "availability": "live",
        "enabled": true,
        "configurable": true
      }
    ]
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`notification-get-digest-preferences.response.200.data`; object, required)
  - `emailEnabled` (`notification-get-digest-preferences.response.200.data.emailEnabled`; boolean, required)
  - `inAppEnabled` (`notification-get-digest-preferences.response.200.data.inAppEnabled`; boolean, required)
  - `emailDigestFrequency` (`notification-get-digest-preferences.response.200.data.emailDigestFrequency`; string, required)
    - one of `"immediate"`, `"daily"`, `"weekly"`, `"none"`
  - `timezone` (`notification-get-digest-preferences.response.200.data.timezone`; string, required, nullable)
  - `digestSendTimeLocal` (`notification-get-digest-preferences.response.200.data.digestSendTimeLocal`; string, required, nullable)
  - `digestSendDay` (`notification-get-digest-preferences.response.200.data.digestSendDay`; integer, required, nullable)
    - min 0; max 6
  - `deliveryChannels` (`notification-get-digest-preferences.response.200.data.deliveryChannels`; array<object>, required)
    - `key` (`notification-get-digest-preferences.response.200.data.deliveryChannels.key`; string, required)
      - one of `"email"`, `"in_app"`, `"slack"`, `"telegram"`
    - `availability` (`notification-get-digest-preferences.response.200.data.deliveryChannels.availability`; string, required)
      - one of `"live"`, `"planned"`
    - `enabled` (`notification-get-digest-preferences.response.200.data.deliveryChannels.enabled`; boolean, required)
    - `configurable` (`notification-get-digest-preferences.response.200.data.deliveryChannels.configurable`; boolean, required)
- `meta` (`notification-get-digest-preferences.response.200.meta`; object, optional)
  - `timestamp` (`notification-get-digest-preferences.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-get-digest-preferences.response.401.error`; object, required)
  - `code` (`notification-get-digest-preferences.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-get-digest-preferences.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`notification-get-digest-preferences.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-get-digest-preferences.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`notification-get-digest-preferences.response.500.error`; object, required)
  - `code` (`notification-get-digest-preferences.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`notification-get-digest-preferences.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`notification-get-digest-preferences.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`notification-get-digest-preferences.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/notification-get-digest-preferences/index.md
